
From: Adrian Bunk <bunk@stusta.de>

This patch makes some needlessly global code static.

Signed-off-by: Adrian Bunk <bunk@stusta.de>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 /dev/null                               |    0 
 25-akpm/drivers/oprofile/buffer_sync.c  |    6 +++---
 25-akpm/drivers/oprofile/cpu_buffer.c   |    2 +-
 25-akpm/drivers/oprofile/event_buffer.c |    7 ++++---
 4 files changed, 8 insertions(+), 7 deletions(-)

diff -puN drivers/oprofile/buffer_sync.c~oprofile-make-some-code-static drivers/oprofile/buffer_sync.c
--- 25/drivers/oprofile/buffer_sync.c~oprofile-make-some-code-static	Fri Mar 11 14:41:22 2005
+++ 25-akpm/drivers/oprofile/buffer_sync.c	Fri Mar 11 14:41:22 2005
@@ -34,9 +34,9 @@
  
 static LIST_HEAD(dying_tasks);
 static LIST_HEAD(dead_tasks);
-cpumask_t marked_cpus = CPU_MASK_NONE;
+static cpumask_t marked_cpus = CPU_MASK_NONE;
 static DEFINE_SPINLOCK(task_mortuary);
-void process_task_mortuary(void);
+static void process_task_mortuary(void);
 
 
 /* Take ownership of the task struct and place it on the
@@ -422,7 +422,7 @@ static void increment_tail(struct oprofi
  * and to have reached the list, it must have gone through
  * one full sync already.
  */
-void process_task_mortuary(void)
+static void process_task_mortuary(void)
 {
 	struct list_head * pos;
 	struct list_head * pos2;
diff -L drivers/oprofile/buffer_sync.c.old -puN /dev/null /dev/null
diff -puN drivers/oprofile/cpu_buffer.c~oprofile-make-some-code-static drivers/oprofile/cpu_buffer.c
--- 25/drivers/oprofile/cpu_buffer.c~oprofile-make-some-code-static	Fri Mar 11 14:41:22 2005
+++ 25-akpm/drivers/oprofile/cpu_buffer.c	Fri Mar 11 14:41:22 2005
@@ -32,7 +32,7 @@ struct oprofile_cpu_buffer cpu_buffer[NR
 static void wq_sync_buffer(void *);
 
 #define DEFAULT_TIMER_EXPIRE (HZ / 10)
-int work_enabled;
+static int work_enabled;
 
 void free_cpu_buffers(void)
 {
diff -L drivers/oprofile/cpu_buffer.c.old -puN /dev/null /dev/null
diff -puN drivers/oprofile/event_buffer.c~oprofile-make-some-code-static drivers/oprofile/event_buffer.c
--- 25/drivers/oprofile/event_buffer.c~oprofile-make-some-code-static	Fri Mar 11 14:41:22 2005
+++ 25-akpm/drivers/oprofile/event_buffer.c	Fri Mar 11 14:41:22 2005
@@ -94,7 +94,7 @@ void free_event_buffer(void)
 }
 
  
-int event_buffer_open(struct inode * inode, struct file * file)
+static int event_buffer_open(struct inode * inode, struct file * file)
 {
 	int err = -EPERM;
 
@@ -130,7 +130,7 @@ out:
 }
 
 
-int event_buffer_release(struct inode * inode, struct file * file)
+static int event_buffer_release(struct inode * inode, struct file * file)
 {
 	oprofile_stop();
 	oprofile_shutdown();
@@ -142,7 +142,8 @@ int event_buffer_release(struct inode * 
 }
 
 
-ssize_t event_buffer_read(struct file * file, char __user * buf, size_t count, loff_t * offset)
+static ssize_t event_buffer_read(struct file * file, char __user * buf,
+				 size_t count, loff_t * offset)
 {
 	int retval = -EINVAL;
 	size_t const max = buffer_size * sizeof(unsigned long);
diff -L drivers/oprofile/event_buffer.c.old -puN /dev/null /dev/null
_
